
QGIS Application - Bug report #11615

OTB TrainImagesClassifier-svm algorithm does not work

2014-11-11 12:14 AM - Alexander Bruy

Status: Closed

Priority: Normal

Assignee: Julien Malik

Category: Processing/Core

Affected QGIS version:2.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19869

Description

One algortihm (TrainImagesClassifier-svm) from OTB Processing provider is broken. It even does not loaded correctly on Processing

startup. Here is errors from Processing Log:

Could not open OTB algorithm:

/usr/local/share/qgis/python/plugins/processing/algs/otb/description/TrainImagesClassifier-svm.xml|*ParameterNumber|-elev.default|Default elevation|None|Non

ult|Default elevation|None|None|0

Could not open OTB algorithm: TrainImagesClassifier-svm.xml

History

#1 - 2014-11-11 12:15 AM - Alexander Bruy

- Subject changed from OTB TrainImagesClassifier algorithm does not works to OTB TrainImagesClassifier-svm algorithm does not works

#2 - 2014-11-11 12:19 AM - Paolo Cavallini

- Subject changed from OTB TrainImagesClassifier-svm algorithm does not works to OTB TrainImagesClassifier-svm algorithm does not work

#3 - 2015-01-09 12:18 AM - Gergely Padanyi-Gulyas

Confirmed, this is an error in QGIS 2.6.1

#4 - 2015-02-03 08:14 AM - Giovanni Manghi

- Status changed from Open to Feedback

the tools seems to open and run normally on qgis master, cheers!

#5 - 2015-02-03 08:17 AM - Alexander Bruy

- Status changed from Feedback to Closed

Confirmed, there are no errors in master. Closing

#6 - 2017-05-01 10:58 AM - Giovanni Manghi

- Regression? set to No

2024-04-10 1/2



#7 - 2017-05-01 11:01 AM - Giovanni Manghi

- Easy fix? set to No

#8 - 2017-05-01 11:04 AM - Giovanni Manghi

Some providers are being removed from QGIS/Processing (will be available as plugin) and so are their categories in the bug tracker. To not leave them

orphaned of a category they are being reassigned to processing/core.

#9 - 2017-05-01 11:06 AM - Giovanni Manghi

- Category changed from 120 to Processing/Core
